--- old/usr/src/pkg/manifests/compatibility-ucb.mf	2014-04-11 13:24:05.969245864 +0100
+++ new/usr/src/pkg/manifests/compatibility-ucb.mf	2014-04-11 13:24:05.976136285 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/compatibility/ucb@$(PKGVERS)
@@ -39,9 +40,9 @@
 dir path=usr/share/man/man1b
 dir path=usr/ucb
 $(i386_ONLY)dir path=usr/ucb/$(ARCH32)
-dir path=usr/ucb/$(ARCH64)
+$(BUILD64)dir path=usr/ucb/$(ARCH64)
 dir path=usr/ucblib
-dir path=usr/ucblib/$(ARCH64)
+$(BUILD64)dir path=usr/ucblib/$(ARCH64)
 file path=etc/mail/Mail.rc original_name=SUNWscp:etc/mail/Mail.rc \
     preserve=true
 file path=usr/share/man/man1b/basename.1b
@@ -109,18 +110,18 @@
 file path=usr/ucb/vipw mode=0555
 file path=usr/ucb/whereis mode=0755
 file path=usr/ucb/whoami mode=0755
-file path=usr/ucblib/$(ARCH64)/libcurses.so.1
-file path=usr/ucblib/$(ARCH64)/libdbm.so.1
-file path=usr/ucblib/$(ARCH64)/librpcsoc.so.1
-file path=usr/ucblib/$(ARCH64)/libtermcap.so.1
-file path=usr/ucblib/$(ARCH64)/libucb.so.1
+$(BUILD64)file path=usr/ucblib/$(ARCH64)/libcurses.so.1
+$(BUILD64)file path=usr/ucblib/$(ARCH64)/libdbm.so.1
+$(BUILD64)file path=usr/ucblib/$(ARCH64)/librpcsoc.so.1
+$(BUILD64)file path=usr/ucblib/$(ARCH64)/libtermcap.so.1
+$(BUILD64)file path=usr/ucblib/$(ARCH64)/libucb.so.1
 file path=usr/ucblib/libcurses.so.1
 file path=usr/ucblib/libdbm.so.1
 file path=usr/ucblib/librpcsoc.so.1
 file path=usr/ucblib/libtermcap.so.1
 file path=usr/ucblib/libucb.so.1
 $(i386_ONLY)hardlink path=usr/ucb/$(ARCH32)/ps target=../../bin/$(ARCH32)/ps
-hardlink path=usr/ucb/$(ARCH64)/ps target=../../bin/$(ARCH64)/ps
+$(BUILD64)hardlink path=usr/ucb/$(ARCH64)/ps target=../../bin/$(ARCH64)/ps
 hardlink path=usr/ucb/ps target=../../usr/lib/isaexec
 legacy pkg=SUNWscpr \
     desc="utilities for user interface and source build compatibility with SunOS 4.x" \
@@ -217,13 +218,14 @@
 link path=usr/ucb/wc target=../bin/wc
 link path=usr/ucb/whois target=../bin/whois
 link path=usr/ucb/xstr target=../bin/xstr
-link path=usr/ucblib/$(ARCH64)/libcurses.so target=./libcurses.so.1
-link path=usr/ucblib/$(ARCH64)/libdbm.so target=./libdbm.so.1
-link path=usr/ucblib/$(ARCH64)/librpcsoc.so target=./librpcsoc.so.1
-link path=usr/ucblib/$(ARCH64)/libtermcap.so target=./libtermcap.so.1
-link path=usr/ucblib/$(ARCH64)/libucb.so target=./libucb.so.1
+$(BUILD64)link path=usr/ucblib/$(ARCH64)/libcurses.so target=./libcurses.so.1
+$(BUILD64)link path=usr/ucblib/$(ARCH64)/libdbm.so target=./libdbm.so.1
+$(BUILD64)link path=usr/ucblib/$(ARCH64)/librpcsoc.so target=./librpcsoc.so.1
+$(BUILD64)link path=usr/ucblib/$(ARCH64)/libtermcap.so \
+    target=./libtermcap.so.1
+$(BUILD64)link path=usr/ucblib/$(ARCH64)/libucb.so target=./libucb.so.1
 link path=usr/ucblib/32 target=.
-link path=usr/ucblib/64 target=$(ARCH64)
+$(BUILD64)link path=usr/ucblib/64 target=$(ARCH64)
 link path=usr/ucblib/libcurses.so target=./libcurses.so.1
 link path=usr/ucblib/libdbm.so target=./libdbm.so.1
 link path=usr/ucblib/librpcsoc.so target=./librpcsoc.so.1
